#include<bits/stdc++.h>
#define endl '\n'

using namespace std;

const int MAXN=505;
const int MAXX=505;
const int MOD=998244353;

int n,x;
int comb[MAXN][MAXN];
int dp[MAXN][MAXX]; // dp[i][j] =      (n-i)          ,   
                    //      j  (  ,     -    j )

void precomp(int n)
{
    comb[0][0]=1;
    for(int i=1; i<=n; i++)
    {
        for(int j=0; j<=i; j++)
        {
            comb[i][j]=comb[i-1][j];
            if(j>0) comb[i][j]+=comb[i-1][j-1];
            if(comb[i][j]>=MOD) comb[i][j]-=MOD;
        }
    }
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin>>n>>x;

    precomp(n);

    dp[n][0]=1;
    for(int i=n; i>=2; i--)
    {
        for(int j=0; j<=x; j++)
        {
            if(!dp[i][j]) continue;

            int pwr=1;
            int nj=min(x, j+i-1);
            for(int k=i; k>=0; k--)
            {
                dp[k][nj]+=(long long) dp[i][j]*comb[i][i-k]%MOD*pwr%MOD;
                if(dp[k][nj]>=MOD) dp[k][nj]-=MOD;
                pwr=(long long) pwr*(nj-j)%MOD;
            }
        }
    }

    int ans=0;
    for(int i=0; i<=x; i++) ans=(ans+dp[0][i])%MOD;
    cout<<ans<<endl;

    return 0;
}
