#include<bits/stdc++.h>
#define endl '\n'
using namespace std;

const int MAXN=1e5+5;
const int MOD=1e9+7;

int n;
int phi[MAXN];

void calc_phi(int n)
{
    for(int i=1; i<=n; i++)
        phi[i]=i;
    for(int i=2; i<=n; i++)
    {
        if(phi[i]==i)
        {
            for(int j=i; j<=n; j+=i)
            {
                phi[j]-=phi[j]/i;
            }
        }
    }
}

int lcm(int a,int b)
{
    return (long long)a*b/__gcd(a,b)%MOD;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin>>n;

    calc_phi(n);

    int ans=0;
    for(int d=1; d<=n-1; d++)
    {
        for(int x=2*d; x<=n-1; x+=d)
        {
            int c=n-x;
            ans+=(long long)lcm(c,d)*phi[x/d]%MOD;
            ans%=MOD;
        }
    }
    cout<<ans<<endl;
    return 0;
}
