#include<bits/stdc++.h>
#define endl '\n'

using namespace std;

const int MOD=1e9+7;

int x,y;
map<int,int> dp;

int fastPow(int a,int pwr)
{
    long long ret=1;
    while(pwr>0)
    {
        if(pwr&1) ret=ret*a%MOD;
        a=(long long) a*a%MOD;
        pwr/=2;
    }
    return ret;
}

int rec(int n)
{
    if(n==1) return 1;
    if(dp.find(n)!=dp.end()) return dp[n];
    dp[n]=fastPow(2,n-1)-1; //  1  ,        n (..         n),          
    for(int d=2; d*d<=n; d++)
    {
        if(n%d==0)
        {
            dp[n]=(dp[n]-rec(d)+MOD)%MOD;
            if(d*d!=n) dp[n]=(dp[n]-rec(n/d)+MOD)%MOD;
        }
    }
    return dp[n];
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin>>x>>y;
    if(y%x)
    {
        cout<<0<<endl;
        return 0;
    }

    cout<<rec(y/x)<<endl;

    return 0;
}
