#include<bits/stdc++.h>
#define endl '\n'

using namespace std;

const int MAXN=1e5+5;
const int MAXV=1e7+5;

long long a,b;
bool pr[MAXV];
vector<int> primes;
long long phi[MAXN];
long long val[MAXN];

void sieve(int n)
{
    pr[1]=1;
    for(int i=2; i<=n; i++)
    {
        if(pr[i]) continue;
        primes.push_back(i);
        if((long long) i*i>n) continue;
        for(int j=i*i; j<=n; j+=i)
        {
            pr[j]=1;
        }
    }
}

void calc_phi()
{
    for(long long i=a; i<=b; i++)
    {
        phi[i-a]=i;
        val[i-a]=i;
    }

    for(int i=0; i<primes.size(); i++)
    {
        int d=primes[i];
        long long first;
        if(a%d) first=a+d-a%d;
        else first=a;
        for(long long j=first; j<=b; j+=d)
        {
            while(val[j-a]%d==0) val[j-a]/=d;
            phi[j-a]-=phi[j-a]/d;
        }
    }
    for(long long i=a; i<=b; i++)
    {
        if(val[i-a]>1) phi[i-a]-=phi[i-a]/val[i-a];
    }
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin>>a>>b;

    //      [a;b]  -   ,   -  sqrt(b),    (    )
    //     sqrt(b)    ,    phi(i)   i   [a;b]
    sieve((int)sqrt(b)+1);
    calc_phi();

    for(int i=0; i<=b-a; i++)
    {
        cout<<phi[i]<<endl;
    }

    return 0;
}
