#include<bits/stdc++.h>
#define endl '\n'

using namespace std;

const int MAXVAL=1e6+5;

int n,a,b;
int lp[MAXVAL];
int factCnt[MAXVAL];
int pref[MAXVAL][11];

void sieve()
{
    lp[1]=1;
    for(int i=2; i<MAXVAL; i++)
    {
        if(lp[i]) continue;
        lp[i]=i;
        if((long long) i*i>=MAXVAL) continue;
        for(int j=i*i; j<MAXVAL; j+=i)
        {
            if(!lp[j]) lp[j]=i;
        }
    }
}

void precomp()
{
    factCnt[1]=0;
    for(int i=2; i<MAXVAL; i++)
    {
        factCnt[i]=factCnt[i/lp[i]];
        if(lp[i]!=lp[i/lp[i]]) factCnt[i]++;
    }

    for(int i=1; i<MAXVAL; i++)
    {
        for(int j=1; j<=10; j++)
        {
            pref[i][j]=pref[i-1][j];
        }
        pref[i][factCnt[i]]++;
    }
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    sieve();
    precomp();

    int t;
    cin>>t;
    while(t--)
    {
        cin>>a>>b>>n;
        if(n==0)
        {
            if(a==1) cout<<1<<endl;
            else cout<<0<<endl;
            continue;
        }
        cout<<pref[b][n]-pref[a-1][n]<<endl;
    }

    return 0;
}
