#include<bits/stdc++.h>
#define endl '\n'

using namespace std;

const int MAXN=2e5+5;
const int MAXVAL=4e5+5;
const int MOD=1e9+7;

int n;
int a[MAXN];
int fact[MAXVAL];
int invFact[MAXVAL];

int fastPow(int x,int pwr)
{
    int ret=1;
    while(pwr>0)
    {
        if(pwr%2) ret=(long long)ret*x%MOD;
        x=(long long)x*x%MOD;
        pwr/=2;
    }
    return ret;
}

void precomp()
{
    fact[0]=invFact[0]=1;
    for(int i=1; i<MAXVAL; i++)
    {
        fact[i]=(long long)fact[i-1]*i%MOD;
        invFact[i]=fastPow(fact[i], MOD-2);
    }
}

int comb(int n,int k)
{
    return (long long)fact[n]*invFact[n-k]%MOD*invFact[k]%MOD;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin>>n;
    for(int i=0; i<=n; i++)
    {
        cin>>a[i];
    }

    precomp();

    int ans=0;
    for(int i=0; i<=n; i++)
    {
        if(a[i]<=0) break;
        ans=(ans+comb(i+a[i]-1+1, a[i]-1))%MOD;
    }

    cout<<ans<<endl;

    return 0;
}
