#include<bits/stdc++.h>
#define endl '\n'

using namespace std;

const int MAXVAL=5e6+5;

int a,b;
int lp[MAXVAL];
int prCnt[MAXVAL];
int pref[MAXVAL];

void sieve()
{
    lp[1]=1;
    for(int i=2; i<MAXVAL; i++)
    {
        if(lp[i]) continue;
        lp[i]=i;
        if((long long) i*i>=MAXVAL) continue;
        for(int j=i*i; j<MAXVAL; j+=i)
        {
            if(!lp[j]) lp[j]=i;
        }
    }
}

void precomp()
{
    prCnt[1]=0;
    pref[1]=0;
    for(int i=2; i<MAXVAL; i++)
    {
        prCnt[i]=prCnt[i/lp[i]]+1;
        pref[i]=pref[i-1]+prCnt[i];
    }
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    sieve();
    precomp();

    int t;
    cin>>t;
    while(t--)
    {
        cin>>a>>b;
        cout<<pref[a]-pref[b]<<endl;
    }

    return 0;
}
